Bug 1258891 - Doesn't find NVME devices
Doesn't find NVME devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 09:17 EDT by Joshua Rosen
Modified: 2015-10-05 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: gparted-0.23.0-3.fc22 gparted-0.23.0-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 17:16:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gparted screenshot (69.51 KB, image/png)
2015-09-19 11:14 EDT, Joshua Rosen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755022 None None None Never

  None (edit)
Description Joshua Rosen 2015-09-01 09:17:26 EDT
Description of problem: Gparted doesn't see NVME devices. I have an Intel 750 NVME 400G SSD. It doesn't show up in Gparted on either Fedora 22 or Scientific Linux 7.1 (EPEL). Regular parted and gnome-disks detects the device but gparted doesn't. Here is the device,

02:00.0 Non-Volatile memory controller: Intel Corporation PCIe Data Center SSD (rev 01)

/dev/nvme0  /dev/nvme0n1  /dev/nvme0n1p1  /dev/nvme0n1p2  /dev/nvme0n1p3

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1.Run Gparted
2.
3.

Actual results: The NVME device doesn't appear


Expected results: Should be handled just like SATA devices.


Additional info:
Comment 1 Mukundan Ragavan 2015-09-14 20:44:59 EDT
Thanks for the report.

Unfortunately, I do not have the hardware (no SSD) to test it ... :(

Do you want to ping upstream on this or would you prefer me to do it?
Comment 2 Joshua Rosen 2015-09-15 01:53:55 EDT
I've submited to the gnome-bugzilla.
Comment 3 Mukundan Ragavan 2015-09-15 20:07:00 EDT
Thank you!
Comment 4 Mukundan Ragavan 2015-09-18 17:24:40 EDT
Joshua, can you please try this build?

https://koji.fedoraproject.org/koji/taskinfo?taskID=11139100
Comment 5 Joshua Rosen 2015-09-19 01:24:49 EDT
Do you have an F22 build? The F23 build is getting this error
/usr/sbin/gpartedbin: symbol lookup error: /usr/sbin/gpartedbin: undefined symbol: _ZN4Glib7ustringaSERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE
Comment 6 Mukundan Ragavan 2015-09-19 10:56:57 EDT
(In reply to Joshua Rosen from comment #5)
> Do you have an F22 build? The F23 build is getting this error
> /usr/sbin/gpartedbin: symbol lookup error: /usr/sbin/gpartedbin: undefined
> symbol:
> _ZN4Glib7ustringaSERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE

Oops!

Try this - https://koji.fedoraproject.org/koji/taskinfo?taskID=11140488
Comment 7 Joshua Rosen 2015-09-19 11:04:50 EDT
Thank you, that one works.
Comment 8 Mukundan Ragavan 2015-09-19 11:06:20 EDT
(In reply to Joshua Rosen from comment #7)
> Thank you, that one works.

Thanks for testing.

Just to make sure we are on the same page - you can install the package *AND* see NVME devices. Correct?

Nothing else (on a cursory testing, at least) broke I hope?
Comment 9 Joshua Rosen 2015-09-19 11:14:18 EDT
Created attachment 1075211 [details]
Gparted screenshot

Gparted is working
Comment 10 Fedora Update System 2015-09-19 12:38:29 EDT
gparted-0.23.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16211
Comment 11 Joshua Rosen 2015-09-19 14:10:30 EDT
Please submit to EPEL7 and F21 & F22 also. I have an Scientific Linux 7.1 partition on this machine it supports this device. I haven't tried it on SL6.7 so I don't know if NVME support has been backported to RHEL6 but it's definitely there in RHEL7.
Comment 12 Fedora Update System 2015-09-20 10:57:52 EDT
gparted-0.23.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gparted'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16211
Comment 13 Fedora Update System 2015-09-20 12:50:03 EDT
gparted-0.23.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gparted'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16210
Comment 14 Fedora Update System 2015-10-03 17:16:45 EDT
gparted-0.23.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-10-05 14:15:21 EDT
gparted-0.23.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.